umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_umlappprivate.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlappprivate.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLAppPrivate_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLAppPrivate_t | qt_meta_stringdata_UMLAppPrivate
static const uint | qt_meta_data_UMLAppPrivate []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLAppPrivate_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_UMLAppPrivate

const uint qt_meta_data_UMLAppPrivate[]
| static

## ◆ qt_meta_stringdata_UMLAppPrivate

const qt_meta_stringdata_UMLAppPrivate_t qt_meta_stringdata_UMLAppPrivate
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 13),
QT_MOC_LITERAL(1, 14, 30),
QT_MOC_LITERAL(2, 45, 0),
QT_MOC_LITERAL(3, 46, 16),
QT_MOC_LITERAL(4, 63, 4),
QT_MOC_LITERAL(5, 68, 20),
QT_MOC_LITERAL(6, 89, 19),
QT_MOC_LITERAL(7, 109, 23),
QT_MOC_LITERAL(8, 133, 19),
QT_MOC_LITERAL(9, 153, 28),
QT_MOC_LITERAL(10, 182, 3)
},
"UMLAppPrivate\0slotLogWindowItemDoubleClicked\0"
"\0QListWidgetItem*\0item\0createDiagramsWindow\0"
"createObjectsWindow\0createStereotypesWindow\0"
"createWelcomeWindow\0slotWelcomeWindowLinkClicked\0"
"url"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_umlappprivate.cpp:28
qt_meta_stringdata_UMLAppPrivate_t
Definition: moc_umlappprivate.cpp:24